Expanded Limits, Across all tiers - Our Gift to you! Learn more →

AlterLab
SearchResearchPricingComparePlaygroundBlogDocsChangelog
    AlterLabAlterLab
    PricingComparePlaygroundBlogDocsChangelog
    IntroductionQuickstartInstallationYour First Request
    REST APICrawl APIMap APISearch APIResearch APINewSERP APINewExtract APIAIJob PollingDomain StatsNewGeocode APINewNews APIBatch ResultsNewAPI KeysSessions APINewEnterprise APIEnterprise
    AccountAutoAI VisibilityAutoAlertsAutoAuthAutoBillingAutoCrawlAutoExtractAutoIntegrationsAutoKeysAutoMapAutoMonitorsAutoOrganizationsAutoResearch SchedulesAutoRunsAutoSchedulesAutoScrapeAutoSearchAutoSearch SchedulesAutoSessionsAutoUser WebhooksAutoV1 EndpointsAutoAffiliatesAutoAgentAutoAgent OnboardingAutoAgent VisibilityAutoAnalyticsAutoApprovalsAutoArtifactsAutoAttributionAutoB2BAutoBatchAutoBeta FeaturesAutoBlogAutoBuyerAutoChatAutoConnectionsAutoConnectorsAutoContact ListsAutoCreatorAutoCross SellAutoDashboardAutoDefaultsAutoDomainsAutoEmail PreferencesAutoFcAutoHandsAutoHealthAutoJobsAutoListingsAutoMaintenanceAutoNewsAutoOauthAutoOauth GrantsAutoPage InspectAutoPlatformAutoPresetsAutoPricingAutoPrivacyAutoPublicAutoPublic PagesAutoReferralAutoReferralsAutoReportsAutoResearchAutoSecretsAutoSerpAutoSSOAutoStorefrontsAutoSupportAutoTemplatesAutoToolsAutoTrackAutoUsageAutoUsage TagsAutoUserAutoWorkflowsAutoWorkspacesAutoWebhooksAuto
    OverviewPythonNode.jsCLI
    Guides OverviewJavaScript RenderingBrowser ActionsOutput FormatsPDF & OCRCachingWebhooksJSON Schema FilteringWebSocket Real-TimeBring Your Own ProxyProSticky SessionsProAuthenticated ScrapingNewHTTP Methods & BodiesNewStructured ExtractionAIWeb SearchAgent and RAG GroundingResearch JobsAgent RunsSite MappingWeb CrawlingBatch ScrapingSchedulerData MarketplaceSelling DataAgent OnboardingEmbeddingsKeyword IdeasAI VisibilityWorkflowsChange DetectionCloud Storage ExportSpend LimitsOrganizations & TeamsScrape TemplatesCustom ConnectorsSecretsContact ListsPlatform Sub-AccountsReferrals & AffiliatesAlerts & NotificationsExtraction ProfilesAIBYOK ExtractionAIOAuth2 Machine-to-MachineSupport & TicketsUnsupported Targets
    Tutorials OverviewStructured ExtractionAIE-commerce ScrapingNews MonitoringPrice MonitoringMulti-Page CrawlingMonitoring DashboardAI Agent / MCPMCPAI Research AgentAISite CrawlingData Pipeline to Cloud
    E-commerceLead GenerationChange MonitoringRAG & AI PipelinesAIResearch
    Reference OverviewPricingRate LimitsReliabilityReliability ContractError CodesChangelogVersioning
    Migrations OverviewFrom FirecrawlFrom ApifyFrom ScrapingBee / ScraperAPIFrom Crawl4AIFrom SpiderSearch to SERPFirecrawl v0 API ReferenceLegacy
    OverviewMCP ServerAIn8n NodeLangChainAICrewAIAILlamaIndexAISupabaseChrome ExtensionSoon
    PlaygroundPricingStatus

    Up to 5,000 free requests · No credit card

    API Reference
    Auto-generated

    Presets

    API reference for presets endpoints.

    Auto-generated

    This page was generated from the OpenAPI spec. Runmake generate-docs to refresh after spec changes.

    POST /api/v1/presets

    POST
    /api/v1/presets

    Create Preset

    Parameters

    NameTypeRequiredDescription
    X-Organization-IdstringOptionalX-Organization-Id
    product"scrape" | "crawl" | "map" | "extract" | "actions" | "embeddings" | "search" | "research"
    Required
    PresetProduct
    namestring
    Required
    Name
    scope"user" | "org"OptionalPresetScope
    configobjectOptionalConfig

    Request Example

    Bash
    curl -X POST https://api.alterlab.io/api/v1/presets \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
        "product": "...",
        "name": "example_name"
      }'

    Response Example

    JSON
    {
      "status": "ok"
    }

    GET /api/v1/presets

    GET
    /api/v1/presets

    List Presets

    Parameters

    NameTypeRequiredDescription
    product"scrape" | "crawl" | "map" | "extract" | "actions" | "embeddings" | "search" | "research"Optionalproduct
    scope"user" | "org"Optionalscope
    limitintegerOptionallimitDefault: 50
    offsetintegerOptionaloffsetDefault: 0
    X-Organization-IdstringOptionalX-Organization-Id

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/presets \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "presets": [],
      "total": 0
    }

    GET /api/v1/presets/{preset_id}

    GET
    /api/v1/presets/{preset_id}

    Get Preset

    Parameters

    NameTypeRequiredDescription
    preset_idstring
    Required
    preset_id
    X-Organization-IdstringOptionalX-Organization-Id

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/presets/<preset_id> \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "id": "example",
      "product": "example",
      "name": "example",
      "scope": "example",
      "user_id": "example",
      "organization_id": "example"
    }

    PATCH /api/v1/presets/{preset_id}

    PATCH
    /api/v1/presets/{preset_id}

    Update Preset

    Parameters

    NameTypeRequiredDescription
    preset_idstring
    Required
    preset_id
    X-Organization-IdstringOptionalX-Organization-Id
    namestringOptionalname
    scope"user" | "org"OptionalPresetScope
    configobjectOptionalconfig
    expected_versionintegerOptionalexpected_version

    Request Example

    Bash
    curl -X PATCH https://api.alterlab.io/api/v1/presets/<preset_id> \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "id": "example",
      "product": "example",
      "name": "example",
      "scope": "example",
      "user_id": "example",
      "organization_id": "example"
    }

    DELETE /api/v1/presets/{preset_id}

    DELETE
    /api/v1/presets/{preset_id}

    Delete Preset

    Parameters

    NameTypeRequiredDescription
    preset_idstring
    Required
    preset_id
    X-Organization-IdstringOptionalX-Organization-Id

    Request Example

    Bash
    curl -X DELETE https://api.alterlab.io/api/v1/presets/<preset_id> \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "status": "ok"
    }

    GET /api/v1/presets/{preset_id}/versions

    GET
    /api/v1/presets/{preset_id}/versions

    List Preset Versions

    Parameters

    NameTypeRequiredDescription
    preset_idstring
    Required
    preset_id
    X-Organization-IdstringOptionalX-Organization-Id

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/presets/<preset_id>/versions \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "versions": []
    }
    Last updated: June 2026

    On this page